Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Class TaskPlanId

    java.lang.Object
      com.bea.wli.worklist.api.taskplan.TaskPlanId

All Implemented Interfaces:
  Serializable, Comparable

    public class TaskPlanId

extends Object
implements Comparable, Serializable

Server-wide unique identifier for a task plan. This is a composite identifier that includes the folder and name (as a TaskPlanPath) and version of the task plan.

See Also:
  Serialized Form

Constructor Summary
`TaskPlanId()` Serialization use only
`TaskPlanId(String spec)` Construct an ID from a string value generated by a prior call to ID.toString().
`TaskPlanId(String path, float version)` Construct a new ID given the path and version of the task type.
`TaskPlanId(String worklistHostAppId, String path, float version)` Construct a new ID given the Worklist host application id, path and version of the task plan.
`TaskPlanId(String worklistHostAppId, TaskPlanPath path, float version)` Construct a new ID given the Worklist host application id, path and version of the task plan.
`TaskPlanId(TaskPlanPath path, float version)` Construct a new ID given the path and version of the task type.

Method Summary
`int` | `compareTo(Object o)` Natural order is sorted by path+name first, followed by version
`boolean` | `equals(Object obj)`
`protected void` | `fromStringValue(String spec)`
`TaskPlanPath` | `getPath()`
`String` | `getStringValue()` Get a String representation of this ID.
`float` | `getVersion()` Set the version of the task plan represented by this ID.
`String` | `getWorklistHostApplicationId()`
`int` | `hashCode()`
`void` | `setPath(String path)` Set the String representation of this path, in the form returned by toString().
`void` | `setPath(TaskPlanPath path)` Set the path to this task plan.
`void` | `setStringValue(String value)` Initialize this ID using a String representation obtained from a prior call to toString() on this or another ID instance.
`void` | `setVersion(float version)` Set the version of the task plan this ID represents.
`void` | `setWorklistHostApplicationId(String hostAppId)` Set the Worklist host application id for this task plan.
`String` | `toString()` Get a printable representation of this identifier in folder/name:version format.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaskPlanId

    public TaskPlanId()

  Serialization use only

### TaskPlanId

    public TaskPlanId(String path,
                      float version)

  Construct a new ID given the path and version of the task type.

  Parameters:
    `path` - Path of the task plan in the correlation hierarchy. This must be of the form /Folder1/Folder2/TaskPlan1. In other words, the path must start with a forward slash, all names in the path are separated with a forward slash, and there is no trailing forward slash.
    `version` - The version for this task plan.

### TaskPlanId

    public TaskPlanId(String worklistHostAppId,
                      String path,
                      float version)

  Construct a new ID given the Worklist host application id, path and version of the task plan.

  Parameters:
    `worklistHostAppId` - The ID of the Worklist host application to which this task plan is (or will be) deployed. May be null for task plans that have not yet been deployed (e.g. design-time or early in runtime).
    `path` - Path of the task plan in the correlation hierarchy. This must be of the form /Folder1/Folder2/TaskPlan1. In other words, the path must start with a forward slash, all names in the path are separated with a forward slash, and there is no trailing forward slash.
    `version` - The version for this task plan.

### TaskPlanId

    public TaskPlanId(TaskPlanPath path,
                      float version)

  Construct a new ID given the path and version of the task type.

  Parameters:
    `path` - Path of the task plan in the correlation hierarchy. This must be of the form /Folder1/Folder2/TaskPlan1. In other words, the path must start with a forward slash, all names in the path are separated with a forward slash, and there is no trailing forward slash.
    `version` - The version for this task plan.

### TaskPlanId

    public TaskPlanId(String worklistHostAppId,
                      TaskPlanPath path,
                      float version)

  Construct a new ID given the Worklist host application id, path and version of the task plan.

  Parameters:
    `worklistHostAppId` - The ID of the Worklist host application to which this task plan is (or will be) deployed. May be null for task plans that have not yet been deployed (e.g. design-time or early in runtime).
    `path` - Path of the task plan in the correlation hierarchy. This must be of the form /Folder1/Folder2/TaskPlan1. In other words, the path must start with a forward slash, all names in the path are separated with a forward slash, and there is no trailing forward slash.
    `version` - The version for this task plan.

### TaskPlanId

    public TaskPlanId(String spec)

  Construct an ID from a string value generated by a prior call to ID.toString().

  Parameters:
    `spec` - The string value from toString() to be parsed.

Method Detail

### fromStringValue

    protected void fromStringValue(String spec)

### getPath

    public TaskPlanPath getPath()

### setPath

    public void setPath(String path)

  Set the String representation of this path, in the form returned by toString().

  Parameters:
    `path` - non-null path to this task plan.

### setPath

    public void setPath(TaskPlanPath path)

  Set the path to this task plan.

  Parameters:
    `path` - Path to this task plan, must not be null.

### getVersion

    public float getVersion()

  Set the version of the task plan represented by this ID.

  Returns:
    The version number for the task plan represented by this ID, or 0f if no version has been set.
  See Also:
    `setVersion(float)`

### setVersion

    public void setVersion(float version)

  Set the version of the task plan this ID represents. Note that a value of 0f is treated as if the version information has not been set. This will cause lookups via TaskPlanRegistry.getTaskPlan(ID) to return the latest version of the task plan described by the path from this ID.

  Parameters:
    `version` - The version of the task plan this ID represents or 0f to indicate no version has been set.

### getWorklistHostApplicationId

    public String getWorklistHostApplicationId()

### setWorklistHostApplicationId

    public void setWorklistHostApplicationId(String hostAppId)

  Set the Worklist host application id for this task plan.

  Parameters:
    `hostAppId` - The ID of the Worklist host application to which this task plan is (or will be) deployed. May be null for task plans that have not yet been deployed (e.g. design-time or early in runtime).

### getStringValue

    public String getStringValue()

  Get a String representation of this ID. This method faithfully serializes the identifier in the form 'folder/name:version:[hostAppId]'

  Returns:
    A non-null String containing the serialization of this ID.
  See Also:
    `setStringValue(String)`

### setStringValue

    public void setStringValue(String value)

  Initialize this ID using a String representation obtained from a prior call to toString() on this or another ID instance.

  Parameters:
    `value` - String representation. Must not be null.

### compareTo

    public int compareTo(Object o)

  Natural order is sorted by path+name first, followed by version

  Specified by:
    `compareTo` in interface `Comparable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Get a printable representation of this identifier in folder/name:version format. Note, this method should not be used to serialize an identifier to a String because it doesn't include the Worklist host application id information.

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD